# Create an Account Session Creates a AccountSession object that includes a single-use token that the platform can use on their front-end to grant client-side API access. ## Returns Returns an Account Session object if the call succeeded. ## Parameters - `account` (string, required) The identifier of the account to create an Account Session for. - `components` (object, required) Each key of the dictionary represents an embedded component, and each embedded component maps to its configuration (e.g. whether it has been enabled or not). - `components.account_management` (object, optional) Configuration for the account management embedded component. - `components.account_management.enabled` (boolean, required) Whether the embedded component is enabled. - `components.account_management.features` (object, optional) The list of features enabled in the embedded component. - `components.account_management.features.disable_stripe_user_authentication` (boolean, optional) Disables Stripe user authentication for this embedded component. This value can only be true for accounts where `controller.requirement_collection` is `application`. The default value is the opposite of the `external_account_collection` value. For example, if you don’t set `external_account_collection`, it defaults to true and `disable_stripe_user_authentication` defaults to false. - `components.account_management.features.external_account_collection` (boolean, optional) Whether to allow platforms to control bank account collection for their connected accounts. This feature can only be false for accounts where you’re responsible for collecting updated information when requirements are due or change, like custom accounts. Otherwise, bank account collection is determined by compliance requirements. The default value for this feature is `true`. - `components.account_onboarding` (object, optional) Configuration for the account onboarding embedded component. - `components.account_onboarding.enabled` (boolean, required) Whether the embedded component is enabled. - `components.account_onboarding.features` (object, optional) The list of features enabled in the embedded component. - `components.account_onboarding.features.disable_stripe_user_authentication` (boolean, optional) Disables Stripe user authentication for this embedded component. This value can only be true for accounts where `controller.requirement_collection` is `application`. The default value is the opposite of the `external_account_collection` value. For example, if you don’t set `external_account_collection`, it defaults to true and `disable_stripe_user_authentication` defaults to false. - `components.account_onboarding.features.external_account_collection` (boolean, optional) Whether to allow platforms to control bank account collection for their connected accounts. This feature can only be false for accounts where you’re responsible for collecting updated information when requirements are due or change, like custom accounts. Otherwise, bank account collection is determined by compliance requirements. The default value for this feature is `true`. - `components.balances` (object, optional) Configuration for the balances embedded component. - `components.balances.enabled` (boolean, required) Whether the embedded component is enabled. - `components.balances.features` (object, optional) The list of features enabled in the embedded component. - `components.balances.features.disable_stripe_user_authentication` (boolean, optional) Disables Stripe user authentication for this embedded component. This value can only be true for accounts where `controller.requirement_collection` is `application`. The default value is the opposite of the `external_account_collection` value. For example, if you don’t set `external_account_collection`, it defaults to true and `disable_stripe_user_authentication` defaults to false. - `components.balances.features.edit_payout_schedule` (boolean, optional) Whether to allow payout schedule to be changed. Default `true` when Stripe owns Loss Liability, default `false` otherwise. - `components.balances.features.external_account_collection` (boolean, optional) Whether to allow platforms to control bank account collection for their connected accounts. This feature can only be false for accounts where you’re responsible for collecting updated information when requirements are due or change, like custom accounts. Otherwise, bank account collection is determined by compliance requirements. The default value for this feature is `true`. - `components.balances.features.instant_payouts` (boolean, optional) Whether to allow creation of instant payouts. Default `true` when Stripe owns Loss Liability, default `false` otherwise. - `components.balances.features.standard_payouts` (boolean, optional) Whether to allow creation of standard payouts. Default `true` when Stripe owns Loss Liability, default `false` otherwise. - `components.documents` (object, optional) Configuration for the documents embedded component. - `components.documents.enabled` (boolean, required) Whether the embedded component is enabled. - `components.documents.features` (object, optional) The list of features enabled in the embedded component. - `components.financial_account` (object, optional) Configuration for the financial account embedded component. - `components.financial_account.enabled` (boolean, required) Whether the embedded component is enabled. - `components.financial_account.features` (object, optional) The list of features enabled in the embedded component. - `components.financial_account.features.disable_stripe_user_authentication` (boolean, optional) Disables Stripe user authentication for this embedded component. This value can only be true for accounts where `controller.requirement_collection` is `application`. The default value is the opposite of the `external_account_collection` value. For example, if you don’t set `external_account_collection`, it defaults to true and `disable_stripe_user_authentication` defaults to false. - `components.financial_account.features.external_account_collection` (boolean, optional) Whether to allow external accounts to be linked for money transfer. - `components.financial_account.features.send_money` (boolean, optional) Whether to allow sending money. - `components.financial_account.features.transfer_balance` (boolean, optional) Whether to allow transferring balance. - `components.financial_account_transactions` (object, optional) Configuration for the financial account transactions embedded component. - `components.financial_account_transactions.enabled` (boolean, required) Whether the embedded component is enabled. - `components.financial_account_transactions.features` (object, optional) The list of features enabled in the embedded component. - `components.financial_account_transactions.features.card_spend_dispute_management` (boolean, optional) Whether to allow card spend dispute management features. - `components.issuing_card` (object, optional) Configuration for the issuing card embedded component. - `components.issuing_card.enabled` (boolean, required) Whether the embedded component is enabled. - `components.issuing_card.features` (object, optional) The list of features enabled in the embedded component. - `components.issuing_card.features.card_management` (boolean, optional) Whether to allow card management features. - `components.issuing_card.features.card_spend_dispute_management` (boolean, optional) Whether to allow card spend dispute management features. - `components.issuing_card.features.cardholder_management` (boolean, optional) Whether to allow cardholder management features. - `components.issuing_card.features.spend_control_management` (boolean, optional) Whether to allow spend control management features. - `components.issuing_cards_list` (object, optional) Configuration for the issuing cards list embedded component. - `components.issuing_cards_list.enabled` (boolean, required) Whether the embedded component is enabled. - `components.issuing_cards_list.features` (object, optional) The list of features enabled in the embedded component. - `components.issuing_cards_list.features.card_management` (boolean, optional) Whether to allow card management features. - `components.issuing_cards_list.features.card_spend_dispute_management` (boolean, optional) Whether to allow card spend dispute management features. - `components.issuing_cards_list.features.cardholder_management` (boolean, optional) Whether to allow cardholder management features. - `components.issuing_cards_list.features.disable_stripe_user_authentication` (boolean, optional) Disables Stripe user authentication for this embedded component. This feature can only be false for accounts where you’re responsible for collecting updated information when requirements are due or change, like custom accounts. - `components.issuing_cards_list.features.spend_control_management` (boolean, optional) Whether to allow spend control management features. - `components.notification_banner` (object, optional) Configuration for the notification banner embedded component. - `components.notification_banner.enabled` (boolean, required) Whether the embedded component is enabled. - `components.notification_banner.features` (object, optional) The list of features enabled in the embedded component. - `components.notification_banner.features.disable_stripe_user_authentication` (boolean, optional) Disables Stripe user authentication for this embedded component. This value can only be true for accounts where `controller.requirement_collection` is `application`. The default value is the opposite of the `external_account_collection` value. For example, if you don’t set `external_account_collection`, it defaults to true and `disable_stripe_user_authentication` defaults to false. - `components.notification_banner.features.external_account_collection` (boolean, optional) Whether to allow platforms to control bank account collection for their connected accounts. This feature can only be false for accounts where you’re responsible for collecting updated information when requirements are due or change, like custom accounts. Otherwise, bank account collection is determined by compliance requirements. The default value for this feature is `true`. - `components.payment_details` (object, optional) Configuration for the payment details embedded component. - `components.payment_details.enabled` (boolean, required) Whether the embedded component is enabled. - `components.payment_details.features` (object, optional) The list of features enabled in the embedded component. - `components.payment_details.features.capture_payments` (boolean, optional) Whether to allow capturing and cancelling payment intents. This is `true` by default. - `components.payment_details.features.destination_on_behalf_of_charge_management` (boolean, optional) Whether to allow connected accounts to manage destination charges that are created on behalf of them. This is `false` by default. - `components.payment_details.features.dispute_management` (boolean, optional) Whether to allow responding to disputes, including submitting evidence and accepting disputes. This is `true` by default. - `components.payment_details.features.refund_management` (boolean, optional) Whether to allow sending refunds. This is `true` by default. - `components.payments` (object, optional) Configuration for the payments embedded component. - `components.payments.enabled` (boolean, required) Whether the embedded component is enabled. - `components.payments.features` (object, optional) The list of features enabled in the embedded component. - `components.payments.features.capture_payments` (boolean, optional) Whether to allow capturing and cancelling payment intents. This is `true` by default. - `components.payments.features.destination_on_behalf_of_charge_management` (boolean, optional) Whether to allow connected accounts to manage destination charges that are created on behalf of them. This is `false` by default. - `components.payments.features.dispute_management` (boolean, optional) Whether to allow responding to disputes, including submitting evidence and accepting disputes. This is `true` by default. - `components.payments.features.refund_management` (boolean, optional) Whether to allow sending refunds. This is `true` by default. - `components.payouts` (object, optional) Configuration for the payouts embedded component. - `components.payouts.enabled` (boolean, required) Whether the embedded component is enabled. - `components.payouts.features` (object, optional) The list of features enabled in the embedded component. - `components.payouts.features.disable_stripe_user_authentication` (boolean, optional) Disables Stripe user authentication for this embedded component. This value can only be true for accounts where `controller.requirement_collection` is `application`. The default value is the opposite of the `external_account_collection` value. For example, if you don’t set `external_account_collection`, it defaults to true and `disable_stripe_user_authentication` defaults to false. - `components.payouts.features.edit_payout_schedule` (boolean, optional) Whether to allow payout schedule to be changed. Default `true` when Stripe owns Loss Liability, default `false` otherwise. - `components.payouts.features.external_account_collection` (boolean, optional) Whether to allow platforms to control bank account collection for their connected accounts. This feature can only be false for accounts where you’re responsible for collecting updated information when requirements are due or change, like custom accounts. Otherwise, bank account collection is determined by compliance requirements. The default value for this feature is `true`. - `components.payouts.features.instant_payouts` (boolean, optional) Whether to allow creation of instant payouts. Default `true` when Stripe owns Loss Liability, default `false` otherwise. - `components.payouts.features.standard_payouts` (boolean, optional) Whether to allow creation of standard payouts. Default `true` when Stripe owns Loss Liability, default `false` otherwise. - `components.payouts_list` (object, optional) Configuration for the payouts list embedded component. - `components.payouts_list.enabled` (boolean, required) Whether the embedded component is enabled. - `components.payouts_list.features` (object, optional) The list of features enabled in the embedded component. - `components.tax_registrations` (object, optional) Configuration for the tax registrations embedded component. - `components.tax_registrations.enabled` (boolean, required) Whether the embedded component is enabled. - `components.tax_registrations.features` (object, optional) The list of features enabled in the embedded component. - `components.tax_settings` (object, optional) Configuration for the tax settings embedded component. - `components.tax_settings.enabled` (boolean, required) Whether the embedded component is enabled. - `components.tax_settings.features` (object, optional) The list of features enabled in the embedded component. ```curl curl https://api.stripe.com/v1/account_sessions \ -u "<>" \ -d account={{ACCOUNT_ID}} \ -d "components[account_onboarding][enabled]=true" \ -d "components[payments][enabled]=true" \ -d "components[payouts][enabled]=true" \ -d "components[balances][enabled]=true" ``` ### Response ```json { "object": "account_session", "account": "acct_1NkDjjJyhOZfPCWt", "client_secret": "_OXIKXxEihJokDBnDoe2sgG5OGSO2Q12shKvbeboxpALZGng", "expires_at": 1693261123, "livemode": false, "components": { "account_management": { "enabled": false, "features": { "external_account_collection": true, "disable_stripe_user_authentication": false } }, "account_onboarding": { "enabled": true, "features": { "external_account_collection": true, "disable_stripe_user_authentication": false } }, "balances": { "enabled": true, "features": { "edit_payout_schedule": false, "instant_payouts": false, "standard_payouts": false, "external_account_collection": true, "disable_stripe_user_authentication": false } }, "documents": { "enabled": false, "features": {} }, "financial_account": { "enabled": false, "features": { "disable_stripe_user_authentication": false, "external_account_collection": false, "money_movement": false, "send_money": false, "transfer_balance": false } }, "financial_account_transactions": { "enabled": false, "features": { "card_spend_dispute_management": false } }, "issuing_card": { "enabled": false, "features": { "card_management": false, "card_spend_dispute_management": false, "cardholder_management": false, "spend_control_management": false } }, "issuing_cards_list": { "enabled": false, "features": { "card_management": false, "card_spend_dispute_management": false, "cardholder_management": false, "disable_stripe_user_authentication": false, "spend_control_management": false } }, "notification_banner": { "enabled": false, "features": { "external_account_collection": true, "disable_stripe_user_authentication": false } }, "payment_details": { "enabled": false, "features": { "capture_payments": true, "destination_on_behalf_of_charge_management": false, "dispute_management": true, "refund_management": true } }, "payments": { "enabled": true, "features": { "capture_payments": true, "destination_on_behalf_of_charge_management": false, "dispute_management": true, "refund_management": true } }, "payouts": { "enabled": true, "features": { "edit_payout_schedule": false, "instant_payouts": false, "standard_payouts": false, "external_account_collection": true, "disable_stripe_user_authentication": false } }, "payouts_list": { "enabled": false, "features": {} }, "tax_registrations": { "enabled": false, "features": {} }, "tax_settings": { "enabled": false, "features": {} } } } ```